Name:          junit-recording-logger
Version:       1.0.0
Release:       1%{?dist}
Summary:       Xenei JUnit Recording Log Appender
License:       ASL 2.0
URL:           https://github.com/Claudenw/junit-recording-logger
Source0:       https://github.com/Claudenw/junit-recording-logger/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
A log4j logging appender that records the logging events for later testing.
Used in junit tests to verify that messages have been written to the log.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Cleanup
find . -name "*.class" -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin -r :maven-gpg-plugin
%pom_remove_plugin -r :maven-repository-plugin
%pom_remove_plugin -r :maven-site-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :nexus-staging-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin

sed -i 's/\r//' src/main/resources/LICENSE
cp -p src/main/resources/LICENSE .

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Aug 23 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm
